org.eclipse.draw2d

## Class EventListenerList

- java.lang.Object
- - org.eclipse.draw2d.EventListenerList

    public final class EventListenerList
    extends java.lang.Object

This class is intended for internal use only. TODO: If this is for internal use only, we should move it to the internal package.

### Constructor Summary

Constructors
Constructor and Description
`EventListenerList()`

### Method Summary

Methods
`void` `addListener(java.lang.Class c, java.lang.Object listener)` Adds a listener of type c to the list.
`boolean` `containsListener(java.lang.Class c)` Returns `true` if this list of listeners contains a listener of type c.
`java.util.Iterator` `getListeners(java.lang.Class listenerType)` Returns an Iterator of all the listeners of type c.
`void` `removeListener(java.lang.Class c, java.lang.Object listener)` Removes the first listener of the specified type by identity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventListenerList

    public EventListenerList()

### Method Detail

#### addListener

    public void addListener(java.lang.Class c,
                   java.lang.Object listener)

Adds a listener of type c to the list.

Parameters:
  `c` - the class
  `listener` - the listener

#### containsListener

    public boolean containsListener(java.lang.Class c)

Returns `true` if this list of listeners contains a listener of type c.

Parameters:
  `c` - the type
Returns:
  whether this list contains a listener of type c

#### getListeners

    public java.util.Iterator getListeners(java.lang.Class listenerType)

Returns an Iterator of all the listeners of type c.

Parameters:
  `listenerType` - the type
Returns:
  an Iterator of all the listeners of type c

#### removeListener

    public void removeListener(java.lang.Class c,
                      java.lang.Object listener)

Removes the first listener of the specified type by identity.

Parameters:
  `c` - the type
  `listener` - the listener